Skip to main content
POST
/
api2
/
v2
/
jobs
/
{jobUid}
/
conversations
/
lqas
/
{conversationId}
/
comments
Add LQA comment
curl --request POST \
  --url https://cloud.memsource.com/web/api2/v2/jobs/{jobUid}/conversations/lqas/{conversationId}/comments \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "text": "<string>"
}
'
import requests

url = "https://cloud.memsource.com/web/api2/v2/jobs/{jobUid}/conversations/lqas/{conversationId}/comments"

payload = { "text": "<string>" }
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({text: '<string>'})
};

fetch('https://cloud.memsource.com/web/api2/v2/jobs/{jobUid}/conversations/lqas/{conversationId}/comments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "conversation": {
    "comments": [
      {
        "createdBy": {
          "unavailable": true,
          "email": "<string>",
          "firstName": "<string>",
          "id": "<string>",
          "jobRoles": [
            {
              "workflowStep": {
                "abbreviation": "<string>",
                "id": 123,
                "name": "<string>",
                "workflowLevel": 123,
                "workflowStep": {
                  "id": "<string>",
                  "lqaEnabled": true,
                  "name": "<string>",
                  "order": 123,
                  "uid": "<string>"
                }
              }
            }
          ],
          "lastName": "<string>",
          "uid": "<string>",
          "userName": "<string>"
        },
        "dateCreated": "2023-11-07T05:31:56Z",
        "dateModified": "2023-11-07T05:31:56Z",
        "id": "<string>",
        "mentions": [
          {
            "mentionableGroup": {
              "groupName": "<string>",
              "groupReference": {
                "uid": "3HYnHHLkTPJfMxBCDbPXFe"
              }
            },
            "tag": "<string>",
            "uidReference": {
              "uid": "3HYnHHLkTPJfMxBCDbPXFe"
            },
            "userReferences": [
              {
                "unavailable": true,
                "email": "<string>",
                "firstName": "<string>",
                "id": "<string>",
                "jobRoles": [
                  {
                    "workflowStep": {
                      "abbreviation": "<string>",
                      "id": 123,
                      "name": "<string>",
                      "workflowLevel": 123,
                      "workflowStep": {
                        "id": "<string>",
                        "lqaEnabled": true,
                        "name": "<string>",
                        "order": 123,
                        "uid": "<string>"
                      }
                    }
                  }
                ],
                "lastName": "<string>",
                "uid": "<string>",
                "userName": "<string>"
              }
            ]
          }
        ],
        "text": "<string>"
      }
    ],
    "createdBy": {
      "unavailable": true,
      "email": "<string>",
      "firstName": "<string>",
      "id": "<string>",
      "jobRoles": [
        {
          "workflowStep": {
            "abbreviation": "<string>",
            "id": 123,
            "name": "<string>",
            "workflowLevel": 123,
            "workflowStep": {
              "id": "<string>",
              "lqaEnabled": true,
              "name": "<string>",
              "order": 123,
              "uid": "<string>"
            }
          }
        }
      ],
      "lastName": "<string>",
      "uid": "<string>",
      "userName": "<string>"
    },
    "dateCreated": "2023-11-07T05:31:56Z",
    "dateEdited": "2023-11-07T05:31:56Z",
    "dateModified": "2023-11-07T05:31:56Z",
    "deleted": true,
    "id": "<string>",
    "lqaDescription": "<string>",
    "references": {
      "lqa": [
        {
          "errorCategoryId": 2,
          "severityId": 2,
          "origin": "HUMAN",
          "originator": {
            "unavailable": true,
            "email": "<string>",
            "firstName": "<string>",
            "id": "<string>",
            "jobRoles": [
              {
                "workflowStep": {
                  "abbreviation": "<string>",
                  "id": 123,
                  "name": "<string>",
                  "workflowLevel": 123,
                  "workflowStep": {
                    "id": "<string>",
                    "lqaEnabled": true,
                    "name": "<string>",
                    "order": 123,
                    "uid": "<string>"
                  }
                }
              }
            ],
            "lastName": "<string>",
            "uid": "<string>",
            "userName": "<string>"
          },
          "user": {
            "id": "<string>"
          }
        }
      ],
      "segmentId": "<string>",
      "transGroupId": 1,
      "commentedText": "<string>",
      "conversationTitle": "<string>",
      "conversationTitleOffset": 1,
      "correlation": {
        "role": "PARENT",
        "uid": "<string>"
      },
      "jobPartUid": "<string>",
      "taskId": "<string>"
    },
    "status": {
      "by": {
        "unavailable": true,
        "email": "<string>",
        "firstName": "<string>",
        "id": "<string>",
        "jobRoles": [
          {
            "workflowStep": {
              "abbreviation": "<string>",
              "id": 123,
              "name": "<string>",
              "workflowLevel": 123,
              "workflowStep": {
                "id": "<string>",
                "lqaEnabled": true,
                "name": "<string>",
                "order": 123,
                "uid": "<string>"
              }
            }
          }
        ],
        "lastName": "<string>",
        "uid": "<string>",
        "userName": "<string>"
      },
      "date": "2023-11-07T05:31:56Z"
    },
    "type": "<string>"
  },
  "id": "<string>"
}

Authorizations

Authorization
string
header
required

Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.

Path Parameters

jobUid
string
required

UID of the job

conversationId
string
required

ID of the LQA conversation

Body

application/json

Add comment request body

text
string
required

Response

Created

conversation
object
id
string

ID of created comment